<template>
    <el-dialog title="" :visible.sync="dialogFormVisible">
        <el-form :model="form" label-width="80px">
            <el-form-item class="marginBottom10" label="旧密码">
                <el-col :span="18" :offset="1">
                    <el-input type="password" v-model="form.oldPassword" placeholder="请输入旧密码"></el-input>
                </el-col>
            </el-form-item>
            <el-form-item class="marginBottom10" label="新密码">
                <el-col :span="18" :offset="1">
                    <el-input type="password" v-model="form.newPassword" placeholder="请输入新密码"></el-input>
                </el-col>
            </el-form-item>
            <el-form-item class="marginBottom10" label="确认密码">
                <el-col :span="18" :offset="1">
                    <el-input type="password" v-model="form.confirmPassword" placeholder="请再次输入新密码"></el-input>
                </el-col>
            </el-form-item>
        </el-form>
        <div slot="footer" class="dialog-footer flexHcenter">
            <el-button type="primary" @click="postHttpInfo">提交</el-button>
        </div>
    </el-dialog>
</template>

<script>
export default {
	mixins: [$mixin],
	data() {
		return {
			dialogFormVisible: false,
			form: {},
			sms_time: 0
		}
	},
	watch: {
		sms_time(val) {
			if (val) {
				setTimeout(() => {
					this.sms_time = val - 1
				}, 1000)
			}
		}
	},
	methods: {
		show() {
			this.dialogFormVisible = true
		},
		postHttpInfo() {
			if (
				!this.form.oldPassword ||
				!this.form.newPassword ||
				!this.form.confirmPassword
			) {
				this.alert('请先完善表单信息')
				return false
			}
			if (this.form.newPassword !== this.form.confirmPassword) {
				this.alert('两次密码不一致')
				return false
			}
			this.$http
				.post({
					url: 'user/updatePassWord',
					params: this.form
				})
				.then(
					({ data }) => {
						this.alert('修改成功')
						this.dialogFormVisible = false
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		sendSms() {
			console.log(this.form)
			if (!this.form.userName || !this.form.cellPhone) {
				this.alert('请先完善表单信息')
				return false
			}
			this.$http
				.get({
					url: 'user/getVerifyCode',
					params: this.form
				})
				.then(
					({ data }) => {},
					msg => {
						this.alert(msg)
					}
				)
		}
	}
}
</script>

<style lang="less" scoped>
</style>
